# mio-ai

[![Mio](./docs/assets/mio-ai.png)](https://www.pixiv.net/en/artworks/91986900)

Many-in-one AI client.

## Supported Platforms and Features

* OpenAI
  - [X] models
  - [X] completions
  - [X] chat
  - [X] edits
  - [X] images
      - [X] generate
      - [X] edit
      - [X] variation
  - [X] embeddings
  - [ ] audio
    - [ ] transcription
    - [ ] translation
  - [ ] files
    - [ ] list
    - [ ] upload
    - [ ] delete
    - [ ] retrieve metadata
    - [ ] retrieve content
  - [ ] fine-tunes
    - [ ] create
    - [ ] list
    - [ ] retrieve
    - [ ] cancel
    - [ ] list events
    - [ ] delete model
  - [ ] moderations
* ElevenLabs
  - [X] TTS (stream)
  - [X] get voices
